org.keycloak.subsystem.extension.authserver

## Class AuthServerAddHandler

- java.lang.Object
- - org.jboss.as.controller.AbstractAddStepHandler
  - - org.keycloak.subsystem.extension.authserver.AuthServerAddHandler

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler

      public final class AuthServerAddHandler
      extends org.jboss.as.controller.AbstractAddStepHandler

  Add an auth server.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2014 Red Hat Inc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AuthServerAddHandler` | `INSTANCE`

    - ### Fields inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `attributes`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `populateModel(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation, org.jboss.as.controller.registry.Resource resource)`
    `protected boolean` | `requiresRuntimeVerification()`

    - ### Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `createResource, execute, performRuntime, populateModel, populateModel, requiresRuntime, rollbackRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static AuthServerAddHandler INSTANCE

  - ### Method Detail

    - #### populateModel

          protected void populateModel(org.jboss.as.controller.OperationContext context,
                           org.jboss.dmr.ModelNode operation,
                           org.jboss.as.controller.registry.Resource resource)
                                throws org.jboss.as.controller.OperationFailedException

      Overrides:
        `populateModel` in class `org.jboss.as.controller.AbstractAddStepHandler`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

    - #### requiresRuntimeVerification

          protected boolean requiresRuntimeVerification()

      Overrides:
        `requiresRuntimeVerification` in class `org.jboss.as.controller.AbstractAddStepHandler`

Copyright © 2015. All Rights Reserved.